@{
    ViewData["Title"] = "PPDB Upload VA";
}
<section class="section">
    <div class="section-header">
        <h1>Upload VA</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">Ppdb</a></div>
            <div class="breadcrumb-item active"><a href="#">Upload VA</a></div>
        </div>
    </div>

    <div class="section-body" id="no-data">
        <div id="loading-data" style="text-align:center;">
            <div style="margin-top:150px;">
                <i class="fa fa-spinner fa-spin fa-4x"></i>
            </div>
        </div>
        <div id="empty-data" style="text-align:center;display:none;">
            <img src="~/assets/img/ilus-data.png" width="400px" class="img-fluid" />
            <div style="margin-top:-1px">
                Ups! Sepertinya tidak ada data, silahkan tambah baru <br /><br />
                <button type="button" class="btn btn-dark btn-flat" onclick="DownloadVa();"><i class="fa fa-download"></i> Download Template</button>
                <button type="button" class="btn btn-primary btn-flat" onclick="ModalUpload();"><i class="fa fa-upload"></i> Upload VA</button>
            </div>
        </div>
    </div>
    <div class="section-body" id="data" style="display:none;">
        <div class="card" id="ListData">
            <div class="card-header form-row">
                <h4 class="col-4">List Data</h4>
                <div class="col-8 text-right">
                    <button type="button" class="btn btn-dark" onclick="DownloadVa()">Download Template</button> &nbsp;
                    <button type="button" class="btn btn-primary" onclick="ModalUpload()">Upload VA</button>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelData" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                @* <th>Aksi</th> *@
                                <th>Kode Bayar</th>
                                <th>Unit</th>
                                <th>Status</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                @* <th>Aksi</th> *@
                                <th>Kode Bayar</th>
                                <th>Unit</th>
                                <th>Status</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>


<div class="modal fade" id="ModalUpload" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Upload VA</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="FormUpload" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">File</label>
                        <div class="col-sm-8">
                            <input id="FileUpload" type="file" name="FileUpload" class="form-control" data-input="wajib" />
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button>
                <button type="button" class="btn btn-primary" id="BtnProses" onclick="UploadVA();">Mulai Upload</button>
            </div>
        </div>
    </div>
</div>
